Subject: Re: bug#1161: 23.0.60; Text being added to wrong buffer

From: martin rudalics <[email-masked]>
Date: Tue, 14 Oct 2008 11:02:27 +0200

> For the last few days sometimes i get a blank popup frame and the text
 > of the appointment appears in another buffer I have open -- and that
 > buffer is changed to read-only.  It has actually just happened again
 > as I typed this message.
[...]
 > This could be a compatability change but I am worried about text
 > appearing in other buffers.

When appt-used-frame is a live frame (select-frame appt-used-frame)
ends up with the buffer displayed in appt-used-frame's selected
window current.  That buffer is hardly your Appointments buffer since
you killed that a couple of lines above.

martin